#!/bin/bash

set -e

echo "Starting deployment"

deploymentrepo="$TMP/deployments"

[ -d $deploymentrepo ] && rm -rf $deploymentrepo 

GIT_SSH_COMMAND="ssh -vvv" git clone "$DEPLOYMENTS" $deploymentrepo
[ ! -d $deploymentrepo ] && echo "deployments could not be cloned aborting" && exit 1

echo "$deploymentrepo"

mkdir -p "$deploymentrepo/$SERVICE"

