FROM rust:1.62.1-slim-buster as builder

RUN apt-get update && apt-get upgrade -y
RUN apt-get install libssl-dev
RUN apt-get install -y -q build-essential curl

COPY . .

RUN cargo build

CMD [ "cargo", "run" ]
